## plm 2.4-1

=== DESCRIPTION ===
Package: plm
Version: 2.4-1
Date: 2021-03-02
Title: Linear Models for Panel Data
Authors@R: c(person(given = "Yves",      family = "Croissant",    role = c("aut", "cre"), email = "yves.croissant@univ-reunion.fr"),
             person(given = "Giovanni",  family = "Millo",        role = "aut", email = "Giovanni.Millo@Generali.com"),
             person(given = "Kevin",     family = "Tappe",        role = "aut", email = "kevin.tappe@bwi.uni-stuttgart.de"),
             person(given = "Ott",       family = "Toomet",       role = "ctb", email = "otoomet@gmail.com"),
             person(given = "Christian", family = "Kleiber",      role = "ctb", email = "Christian.Kleiber@unibas.ch"), 
             person(given = "Achim",     family = "Zeileis",      role = "ctb", email = "Achim.Zeileis@R-project.org"),
             person(given = "Arne",      family = "Henningsen",   role = "ctb", email = "arne.henningsen@googlemail.com"),
             person(given = "Liviu",     family = "Andronic",     role = "ctb", email = "landronimirc@gmail.com"),
             person(given = "Nina",      family = "Schoenfelder", role = "ctb", email = "nina.schoenfelder@fernuni-hagen.de"))
Depends: R (>= 3.1.0)
Imports: MASS, bdsmatrix, zoo, nlme, sandwich, lattice, lmtest, maxLik,
        Rdpack, Formula, stats
Suggests: AER, car, pcse, clusterSEs, collapse, pglm, spdep, splm,
        statmod, urca, Ecdat, pder, stargazer, texreg, foreign, knitr,
        rmarkdown, bookdown
Description: A set of estimators and tests for panel data
             econometrics, as described in Baltagi (2013), Econometric Analysis of Panel Data, ISBN-13:978-1-118-67232-7,
             Hsiao (2014), Analysis of Panel Data <doi:10.1017/CBO9781139839327>, and
             Croissant and Millo (2018), Panel Data Econometrics with R, ISBN-13:978-1-118-94918-4.
License: GPL (>= 2)
VignetteBuilder: knitr
URL: https://cran.r-project.org/package=plm,
        https://r-forge.r-project.org/projects/plm/
BugReports: https://github.com/ycroissant/plm/issues
RoxygenNote: 7.1.1
RdMacros: Rdpack
Encoding: UTF-8
Author: Yves Croissant [aut, cre],
  Giovanni Millo [aut],
  Kevin Tappe [aut],
  Ott Toomet [ctb],
  Christian Kleiber [ctb],
  Achim Zeileis [ctb],
  Arne Henningsen [ctb],
  Liviu Andronic [ctb],
  Nina Schoenfelder [ctb]
Maintainer: Yves Croissant <yves.croissant@univ-reunion.fr>
Repository: CRAN
Repository/R-Forge/Project: plm
Repository/R-Forge/Revision: 1096
Repository/R-Forge/DateTimeStamp: 2021-03-02 07:54:56
Date/Publication: 2021-03-02 09:40:05 UTC
NeedsCompilation: no
Packaged: 2021-03-02 08:08:28 UTC; rforge

## plm 2.4-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plm
-Version: 2.4-1
-Date: 2021-03-02
+Version: 2.4-2
+Date: 2021-09-16
 Title: Linear Models for Panel Data
 Authors@R: c(person(given = "Yves",      family = "Croissant",    role = c("aut", "cre"), email = "yves.croissant@univ-reunion.fr"),
              person(given = "Giovanni",  family = "Millo",        role = "aut", email = "Giovanni.Millo@Generali.com"),
@@ -14,11 +14,11 @@
 Depends: R (>= 3.1.0)
 Imports: MASS, bdsmatrix, zoo, nlme, sandwich, lattice, lmtest, maxLik,
         Rdpack, Formula, stats
-Suggests: AER, car, pcse, clusterSEs, collapse, pglm, spdep, splm,
-        statmod, urca, Ecdat, pder, stargazer, texreg, foreign, knitr,
-        rmarkdown, bookdown
+Suggests: AER, car, pcse, clusterSEs, collapse (>= 1.6.0), pglm, spdep,
+        splm, statmod, urca, Ecdat, pder, stargazer, texreg, foreign,
+        knitr, rmarkdown, bookdown, fixest, lfe
 Description: A set of estimators and tests for panel data
-             econometrics, as described in Baltagi (2013), Econometric Analysis of Panel Data, ISBN-13:978-1-118-67232-7,
+             econometrics, as described in Baltagi (2021), Econometric Analysis of Panel Data, ISBN-13:978-3-030-53952-8,
              Hsiao (2014), Analysis of Panel Data <doi:10.1017/CBO9781139839327>, and
              Croissant and Millo (2018), Panel Data Econometrics with R, ISBN-13:978-1-118-94918-4.
 License: GPL (>= 2)
@@ -26,7 +26,7 @@
 URL: https://cran.r-project.org/package=plm,
         https://r-forge.r-project.org/projects/plm/
 BugReports: https://github.com/ycroissant/plm/issues
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 RdMacros: Rdpack
 Encoding: UTF-8
 Author: Yves Croissant [aut, cre],
@@ -41,8 +41,8 @@
 Maintainer: Yves Croissant <yves.croissant@univ-reunion.fr>
 Repository: CRAN
 Repository/R-Forge/Project: plm
-Repository/R-Forge/Revision: 1096
-Repository/R-Forge/DateTimeStamp: 2021-03-02 07:54:56
-Date/Publication: 2021-03-02 09:40:05 UTC
+Repository/R-Forge/Revision: 1317
+Repository/R-Forge/DateTimeStamp: 2021-09-17 05:13:29
+Date/Publication: 2021-09-21 09:40:02 UTC
 NeedsCompilation: no
-Packaged: 2021-03-02 08:08:28 UTC; rforge
+Packaged: 2021-09-17 05:28:30 UTC; rforge

## plm 2.4-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: plm
-Version: 2.4-2
-Date: 2021-09-16
+Version: 2.4-3
+Date: 2021-10-02
 Title: Linear Models for Panel Data
 Authors@R: c(person(given = "Yves",      family = "Croissant",    role = c("aut", "cre"), email = "yves.croissant@univ-reunion.fr"),
-             person(given = "Giovanni",  family = "Millo",        role = "aut", email = "Giovanni.Millo@Generali.com"),
+             person(given = "Giovanni",  family = "Millo",        role = "aut", email = "giovanni.millo@deams.units.it"),
              person(given = "Kevin",     family = "Tappe",        role = "aut", email = "kevin.tappe@bwi.uni-stuttgart.de"),
              person(given = "Ott",       family = "Toomet",       role = "ctb", email = "otoomet@gmail.com"),
              person(given = "Christian", family = "Kleiber",      role = "ctb", email = "Christian.Kleiber@unibas.ch"), 
@@ -24,11 +24,13 @@
 License: GPL (>= 2)
 VignetteBuilder: knitr
 URL: https://cran.r-project.org/package=plm,
-        https://r-forge.r-project.org/projects/plm/
+        https://github.com/ycroissant/plm
 BugReports: https://github.com/ycroissant/plm/issues
 RoxygenNote: 7.1.2
 RdMacros: Rdpack
 Encoding: UTF-8
+NeedsCompilation: no
+Packaged: 2021-10-02 12:39:51 UTC; kevin
 Author: Yves Croissant [aut, cre],
   Giovanni Millo [aut],
   Kevin Tappe [aut],
@@ -40,9 +42,4 @@
   Nina Schoenfelder [ctb]
 Maintainer: Yves Croissant <yves.croissant@univ-reunion.fr>
 Repository: CRAN
-Repository/R-Forge/Project: plm
-Repository/R-Forge/Revision: 1317
-Repository/R-Forge/DateTimeStamp: 2021-09-17 05:13:29
-Date/Publication: 2021-09-21 09:40:02 UTC
-NeedsCompilation: no
-Packaged: 2021-09-17 05:28:30 UTC; rforge
+Date/Publication: 2021-10-05 08:50:02 UTC

## plm 2.4.11+repack

=== debian/changelog ===
plm (2.4.11+repack-2) unstable; urgency=medium

  * Specify to jh_build that javac will encounter UTF-8 files 
    (Closes: #768732) Thanks to L. Nussbaum for the report and fix
  * Update Standards-Version to 3.9.6 (no change needed)
  * Remove Scala from package description and rules (Closes: #722148)
    (we don't use it ATM since Debian version is too ancient)
  * Cherry-pick the new upstream logo.png to please Lintian.
  * d/p/translate: cherry-pick the translations of 2.5 upstream

 -- Martin Quinson <mquinson@debian.org>  Thu, 13 Nov 2014 14:28:09 +0100

plm (2.4.11+repack-1) unstable; urgency=medium

  * New upstream release.
    - Lots of polishing to the pedagogical content and engine
    - Some new exercises, and a lesson about recursive lists
    - User data gets saved in a git, which is more robust.
    - Translation to French, and partially to Brazilian and Italian.
    - Experimental support for the C programming language
  * Update our patches
    - Twitter support was removed upstream
    - Scala still cut of Debian package since we need a recent scala
    - Cut github interactions, as the needed library are not packaged
  * Suggests jython to make python usable
  * d/control: Update VCS field to not use deprecated entries
  * d/{rules,plm.manifest}: upstream switched to rtextpane and needs git

 -- Martin Quinson <mquinson@debian.org>  Fri, 24 Oct 2014 21:35:06 +0200

=== debian/control ===
Source: plm
Section: java
Priority: extra
Maintainer: Martin Quinson <mquinson@debian.org>
Build-Depends: debhelper (>> 8), javahelper (>= 0.32), ant, quilt
Build-Depends-Indep: openjdk-7-jdk, libmiglayout-java, librsyntaxtextarea-java,
  junit4, libgettext-commons-java, libjson-simple-java, libhttpclient-java, libhttpmime-java, libjgit-java,
  jython, libgettext-ant-tasks-java, imagemagick
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-java/plm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/plm.git
Homepage: http://www.loria.fr/~quinson/Teaching/PLM/

Package: plm
Architecture: all
Depends: java-wrappers, ${java:Depends}, ${misc:Depends},
  libhttpmime-java,
Recommends: ${java:Recommends}
Suggests: jython
Description: Programming exerciser in Java, Python and others
 The Programmer's Learning Machine (PLM) is a free cross-platform programming
 exerciser. It lets you explore various concepts of programming through 
 over 160 interactive exercises, that you can solve in either Java or
 Python.
 .
 The PLM interface and content is thoughtfully translated to English
 and French; we hope that other translations will be contributed in
 the future. 
 .
 The following concepts are included in this package:
 .
  - Welcome: teach basics of programming to absolute beginners
  - Maze: classical maze escaping algorithms for intermediate
  - Sort: classical sorting algorithms for intermediate. One
    introduction lesson presents the basics of the sorting algorithms
    while two additional lessons apply them in more recreative settings.
  - Recursion: classical logo algorithms for intermediate
  - Turtle Art: explore a few classical LOGO figures
  - LightBot: little programmer's brain teaser for intermediate and advanced
 .
 Other lessons are planned to explore new concepts, such as the
 backtracking, dynamic programming, object-oriented programming or the
 standard libraries of python and Java. Other programming languages
 (such as Ruby or JavaScript) may be added in the future.
 .
 The Scala language was cut of the package because the Debian version
 of that language is too ancient for the PLM.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR    := $(CURDIR)/debian/plm
ICONS      := $(DESTDIR)/usr/share/icons/hicolor


export JAVA_HOME=/usr/lib/jvm/default-java
depspath=/usr/share/java/miglayout.jar:/usr/share/java/rsyntaxtextarea.jar:/usr/share/java/gettext-commons.jar:/usr/share/java/junit4.jar
gitpath=/usr/share/java/org.eclipse.jgit.jar
scalapath=.
#scalapath=/usr/share/java/scala-compiler.jar:/usr/share/java/scala-library.jar
langpath=/usr/share/java/json-simple.jar:/usr/share/java/jython.jar:.
httppath=/usr/share/java/httpclient.jar:/usr/share/java/httpcore.jar:/usr/share/java/commons-logging.jar:/usr/share/java/httpmime.jar
export CLASSPATH=$(depspath):$(gitpath):$(langpath):$(httppath):$(scalapath):.

%:
	dh  $@  --with javahelper --with quilt


override_jh_build:
	# Copy our resource within the wannabe jar file
	mkdir -p debian/_jh_build.plm
	cp -r lib/resources debian/_jh_build.plm
	
	# Copy our image files (but prune the svg files)
	cp -r img debian/_jh_build.plm
	find debian/_jh_build.plm -name "*.svg" -print0 | xargs -0 rm
	
	# Copy other mandated files in place
	jarctn=`find src -name "*.py"; \
		find src -name "*.java"; \
		find src -name "*.scala"; \
		find src -name "*.c"; \
	        find src -name "*.html"; \
	        find src -name "*.png"; \
		find src -name  "*.map"`; \
	for file in $$jarctn ; do\
	   whereto=`echo $$file|sed 's|^src/||'` ; \
	   install -D -m 644 $$file debian/_jh_build.plm/$$whereto; \
	done
	
	# Generate the translation files
	ant i18n-generate-jar
	cd debian/_jh_build.plm && jar xf ../../lib/plm-messages.jar org
	
	# Finally, ask the scripts to compile our stuff, too
	jh_build --no-javadoc --javacopts="-source 1.7 -encoding UTF-8"

override_dh_auto_build:
	ant -f build.xml clean
	
override_dh_auto_install:
	dh_install
	
	# Icons
	for i in 16 22 48; do \
	    mkdir -p $(ICONS)/$${i}x$${i}/apps; \
	    convert debian/logo.png -colorspace RGB \
	            -resize $${i}x$${i} -colorspace sRGB \
	            $(ICONS)/$${i}x$${i}/apps/plm.png; \
	done
	install -d -m 755 $(DESTDIR)/usr/share/pixmaps
	convert img/logo.png -colorspace RGB \
	        -resize 32x32 -colorspace sRGB \
		$(DESTDIR)/usr/share/pixmaps/plm.xpm
		
	# desktop
	install -D -m 644 debian/plm.desktop $(DESTDIR)/usr/share/applications/plm.desktop
		
	# wrapper script 
	install -d -m 755 $(DESTDIR)/usr/bin
	cp debian/plm.sh $(DESTDIR)/usr/bin/plm
	chmod 755 $(DESTDIR)/usr/bin/plm

version=$(shell uscan --report-status | head -2 | tail -1 | cut -d' ' -f7 | cut -d, -f1)
tmpdir:=$(shell mktemp -d)
wrkdir:=$(shell pwd)

get-orig-source:
	rm -f ${wrkdir}/../plm_${version}+repack.orig.tar.gz
	rm -f ${wrkdir}/../plm_${version}.orig.tar.gz 
	uscan --verbose --force-download && cp ../${version}.tar.gz ${tmpdir} || true
	set +ex; cd ${tmpdir} && \
	    tar xf ${version}.tar.gz && rm -f ${version}.tar.gz && \
	    cd PLM-${version} && find lib -name '*.jar' | xargs rm && \
	    tar cf ${wrkdir}/../plm_${version}+repack.orig.tar * ; \
	    gzip --best ${wrkdir}/../plm_${version}+repack.orig.tar
	rm -rf ${tmpdir}
	@echo "successfully created new tarball: ${wrkdir}/../plm_${version}+repack.orig.tar.gz"

## plm 2.6+repack

=== debian/changelog ===
plm (2.6+repack-3) unstable; urgency=medium

  * Add run-time dependencies on default-jdk, jython and jruby.
    Recommends are not enough for beginners.
  * Spellcheck plm(1)

 -- Martin Quinson <mquinson@debian.org>  Sun, 18 Sep 2016 16:39:19 +0200

plm (2.6+repack-2) unstable; urgency=medium

  * Build-dep on default-jdk instead of specifying the version manually.
    (Closes: #814171)

 -- Martin Quinson <mquinson@debian.org>  Sun, 21 Feb 2016 21:23:01 +0100

plm (2.6+repack-1) unstable; urgency=medium

  * New Upstream Release:
    - Missions fully translated to Brazilian
      The engine is translated at 65%.
      Thanks to Fred Maranhao for the hard work.
    - Ask loudly before pushing anything to the remote servers
      (Fix #772026 -- thanks to Olivier Berger for reporting)
    - New lesson on Hanoi variations, on recursive decomposition
    - Various improvements to the pedagogical content and bug fixes

  * Enable scala teaching, now that Scala 2.11 is in Debian 
    (Fix: #809482) Thanks Rogério Brito for the reminder.
  * Use ant instead of jh_build, that doesn't like our scala code.

 -- Martin Quinson <mquinson@debian.org>  Fri, 01 Jan 2016 11:41:48 +0100

=== debian/control ===
Source: plm
Section: java
Priority: extra
Maintainer: Martin Quinson <mquinson@debian.org>
Build-Depends: debhelper (>> 8), javahelper (>= 0.32), ant, quilt
Build-Depends-Indep: default-jdk, scala, libmiglayout-java, librsyntaxtextarea-java,
  junit4, libgettext-commons-java, libjson-simple-java, libhttpclient-java, libhttpmime-java, libjgit-java,
  jython, libgettext-ant-tasks-java, imagemagick,
  libmockito-java
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-java/plm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/plm.git
Homepage: http://www.loria.fr/~quinson/Teaching/PLM/

Package: plm
Architecture: all
Depends: java-wrappers, ${java:Depends}, ${misc:Depends}, libhttpmime-java,
  default-jdk, jruby, jython, 
Recommends: ${java:Recommends}
Description: Programming exerciser in Java, Python, Scala and others
 The Programmer's Learning Machine (PLM) is a free cross-platform programming
 exerciser. It lets you explore various concepts of programming through 
 over 200 interactive exercises, that you can solve in either Java, 
 Python or Scala.
 .
 The PLM interface and content is thoughtfully translated to English,
 French and Brazilian; Other translations may be added in the future. 
 .
 The following concepts are included in this package:
 .
  - Welcome: teach basics of programming to absolute beginners
  - Maze: classical maze escaping algorithms for intermediate
  - Sort: classical sorting algorithms for intermediate. One
    introduction lesson presents the basics of the sorting algorithms
    while two additional lessons apply them in more recreative settings.
  - Recursion: classical logo algorithms for intermediate
  - Turtle Art: explore a few classical LOGO figures
  - LightBot: little programmer's brain teaser for intermediate and advanced
 .
 Other lessons are planned to explore new concepts, such as the
 backtracking, dynamic programming, object-oriented programming or the
 standard libraries of Python, Scala and Java. Other programming languages
 (such as Ruby or JavaScript) may be added in the future.

=== debian/rules ===
--- 
+++ 
@@ -16,39 +16,6 @@
 %:
 	dh  $@  --with javahelper --with quilt
 
-
-override_jh_build:
-	# Copy our resource within the wannabe jar file
-	mkdir -p debian/_jh_build.plm
-	cp -r lib/resources debian/_jh_build.plm
-	
-	# Copy our image files (but prune the svg files)
-	cp -r img debian/_jh_build.plm
-	find debian/_jh_build.plm -name "*.svg" -print0 | xargs -0 rm
-	
-	# Copy other mandated files in place
-	jarctn=`find src -name "*.py"; \
-		find src -name "*.java"; \
-		find src -name "*.scala"; \
-		find src -name "*.c"; \
-	        find src -name "*.html"; \
-	        find src -name "*.png"; \
-		find src -name  "*.map"`; \
-	for file in $$jarctn ; do\
-	   whereto=`echo $$file|sed 's|^src/||'` ; \
-	   install -D -m 644 $$file debian/_jh_build.plm/$$whereto; \
-	done
-	
-	# Generate the translation files
-	ant i18n-generate-jar
-	cd debian/_jh_build.plm && jar xf ../../lib/plm-messages.jar org
-	
-	# Finally, ask the scripts to compile our stuff, too
-	jh_build --no-javadoc --javacopts="-source 1.7 -encoding UTF-8"
-
-override_dh_auto_build:
-	ant -f build.xml clean
-	
 override_dh_auto_install:
 	dh_install
 	
@@ -57,6 +24,7 @@
 	    mkdir -p $(ICONS)/$${i}x$${i}/apps; \
 	    convert debian/logo.png -colorspace RGB \
 	            -resize $${i}x$${i} -colorspace sRGB \
+	            +set date:create +set date:modify -define png:exclude-chunk=time \
 	            $(ICONS)/$${i}x$${i}/apps/plm.png; \
 	done
 	install -d -m 755 $(DESTDIR)/usr/share/pixmaps

=== debian/watch ===
version=3
opts=dversionmangle=s/\+(repack|dfsg|ds|deb)\d*$// \
https://github.com/oster/PLM/tags .*/v?(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))

## plm 2.6-1

=== DESCRIPTION ===
Package: plm
Version: 2.6-1
Date: 2022-03-02
Title: Linear Models for Panel Data
Authors@R: c(person(given = "Yves",      family = "Croissant",    role = c("aut", "cre"), email = "yves.croissant@univ-reunion.fr"),
             person(given = "Giovanni",  family = "Millo",        role = c("aut"), email = "giovanni.millo@deams.units.it"),
             person(given = "Kevin",     family = "Tappe",        role = c("aut"), email = "kevin.tappe@bwi.uni-stuttgart.de"),
             person(given = "Ott",       family = "Toomet",       role = "ctb", email = "otoomet@gmail.com"),
             person(given = "Christian", family = "Kleiber",      role = "ctb", email = "Christian.Kleiber@unibas.ch"), 
             person(given = "Achim",     family = "Zeileis",      role = "ctb", email = "Achim.Zeileis@R-project.org"),
             person(given = "Arne",      family = "Henningsen",   role = "ctb", email = "arne.henningsen@googlemail.com"),
             person(given = "Liviu",     family = "Andronic",     role = "ctb"),
             person(given = "Nina",      family = "Schoenfelder", role = "ctb"))
Depends: R (>= 3.2.0)
Imports: MASS, bdsmatrix, collapse (>= 1.6.0), zoo, nlme, sandwich,
        lattice, lmtest, maxLik, Rdpack, Formula, stats
Suggests: AER, car, statmod, urca, pder, texreg, knitr, rmarkdown,
        fixest, lfe
Description: A set of estimators for models and (robust) covariance matrices, and tests for panel data
             econometrics, including within/fixed effects, random effects, between, first-difference, 
             nested random effects as well as instrumental-variable (IV) and Hausman-Taylor-style models,
             panel generalized method of moments (GMM) and general FGLS models,
             mean groups (MG), demeaned MG, and common correlated effects (CCEMG) and pooled (CCEP) estimators
             with common factors, variable coefficients and limited dependent variables models.
             Test functions include model specification, serial correlation, cross-sectional dependence,
             panel unit root and panel Granger (non-)causality. Typical references are general econometrics 
             text books such as Baltagi (2021), Econometric Analysis of Panel Data, ISBN-13:978-3-030-53952-8, 
             Hsiao (2014), Analysis of Panel Data <doi:10.1017/CBO9781139839327>, and Croissant and Millo (2018), 
             Panel Data Econometrics with R, ISBN-13:978-1-118-94918-4.
License: GPL (>= 2)
VignetteBuilder: knitr
URL: https://cran.r-project.org/package=plm (CRAN releases),
        https://github.com/ycroissant/plm (development repository)
BugReports: https://github.com/ycroissant/plm/issues
RoxygenNote: 7.1.2
RdMacros: Rdpack
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2022-03-03 13:36:20 UTC; kevin
Author: Yves Croissant [aut, cre],
  Giovanni Millo [aut],
  Kevin Tappe [aut],
  Ott Toomet [ctb],
  Christian Kleiber [ctb],
  Achim Zeileis [ctb],
  Arne Henningsen [ctb],
  Liviu Andronic [ctb],
  Nina Schoenfelder [ctb]
Maintainer: Yves Croissant <yves.croissant@univ-reunion.fr>
Repository: CRAN
Date/Publication: 2022-03-05 15:40:06 UTC

## plm 2.6-4

=== DESCRIPTION ===
Package: plm
Version: 2.6-4
Date: 2024-04-01
Title: Linear Models for Panel Data
Authors@R: c(person(given = "Yves",      family = "Croissant",    role = c("aut"), email = "yves.croissant@univ-reunion.fr"),
             person(given = "Giovanni",  family = "Millo",        role = c("aut"), email = "giovanni.millo@deams.units.it"),
             person(given = "Kevin",     family = "Tappe",        role = c("aut", "cre"), email = "kevin.tappe@bwi.uni-stuttgart.de"),
             person(given = "Ott",       family = "Toomet",       role = "ctb", email = "otoomet@gmail.com"),
             person(given = "Christian", family = "Kleiber",      role = "ctb", email = "Christian.Kleiber@unibas.ch"), 
             person(given = "Achim",     family = "Zeileis",      role = "ctb", email = "Achim.Zeileis@R-project.org"),
             person(given = "Arne",      family = "Henningsen",   role = "ctb", email = "arne.henningsen@googlemail.com"),
             person(given = "Liviu",     family = "Andronic",     role = "ctb"),
             person(given = "Nina",      family = "Schoenfelder", role = "ctb"))
Depends: R (>= 3.2.0)
Imports: MASS, bdsmatrix, collapse (>= 1.8.9), zoo, nlme, sandwich,
        lattice, lmtest, maxLik, Rdpack, Formula, stats
Suggests: AER, car, statmod, urca, pder, texreg, knitr, rmarkdown,
        fixest, lfe
Description: A set of estimators for models and (robust) covariance matrices, and tests for panel data
             econometrics, including within/fixed effects, random effects, between, first-difference, 
             nested random effects as well as instrumental-variable (IV) and Hausman-Taylor-style models,
             panel generalized method of moments (GMM) and general FGLS models,
             mean groups (MG), demeaned MG, and common correlated effects (CCEMG) and pooled (CCEP) estimators
             with common factors, variable coefficients and limited dependent variables models.
             Test functions include model specification, serial correlation, cross-sectional dependence,
             panel unit root and panel Granger (non-)causality. Typical references are general econometrics 
             text books such as Baltagi (2021), Econometric Analysis of Panel Data (<doi:10.1007/978-3-030-53953-5>),
             Hsiao (2014), Analysis of Panel Data (<doi:10.1017/CBO9781139839327>), and Croissant and Millo (2018), 
             Panel Data Econometrics with R (<doi:10.1002/9781119504641>).
License: GPL (>= 2)
VignetteBuilder: knitr
URL: https://cran.r-project.org/package=plm,
        https://github.com/ycroissant/plm
BugReports: https://github.com/ycroissant/plm/issues
RoxygenNote: 7.3.1
RdMacros: Rdpack
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2024-04-01 18:51:47 UTC; kevin
Author: Yves Croissant [aut],
  Giovanni Millo [aut],
  Kevin Tappe [aut, cre],
  Ott Toomet [ctb],
  Christian Kleiber [ctb],
  Achim Zeileis [ctb],
  Arne Henningsen [ctb],
  Liviu Andronic [ctb],
  Nina Schoenfelder [ctb]
Maintainer: Kevin Tappe <kevin.tappe@bwi.uni-stuttgart.de>
Repository: CRAN
Date/Publication: 2024-04-01 23:40:03 UTC

## plm 2.6-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plm
-Version: 2.6-4
-Date: 2024-04-01
+Version: 2.6-6
+Date: 2025-04-04
 Title: Linear Models for Panel Data
 Authors@R: c(person(given = "Yves",      family = "Croissant",    role = c("aut"), email = "yves.croissant@univ-reunion.fr"),
              person(given = "Giovanni",  family = "Millo",        role = c("aut"), email = "giovanni.millo@deams.units.it"),
@@ -32,11 +32,11 @@
 URL: https://cran.r-project.org/package=plm,
         https://github.com/ycroissant/plm
 BugReports: https://github.com/ycroissant/plm/issues
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 RdMacros: Rdpack
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2024-04-01 18:51:47 UTC; kevin
+Packaged: 2025-04-03 22:01:12 UTC; kevin
 Author: Yves Croissant [aut],
   Giovanni Millo [aut],
   Kevin Tappe [aut, cre],
@@ -48,4 +48,4 @@
   Nina Schoenfelder [ctb]
 Maintainer: Kevin Tappe <kevin.tappe@bwi.uni-stuttgart.de>
 Repository: CRAN
-Date/Publication: 2024-04-01 23:40:03 UTC
+Date/Publication: 2025-04-04 15:00:02 UTC

## plm 2.6-7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plm
-Version: 2.6-6
-Date: 2025-04-04
+Version: 2.6-7
+Date: 2025-11-13
 Title: Linear Models for Panel Data
 Authors@R: c(person(given = "Yves",      family = "Croissant",    role = c("aut"), email = "yves.croissant@univ-reunion.fr"),
              person(given = "Giovanni",  family = "Millo",        role = c("aut"), email = "giovanni.millo@deams.units.it"),
@@ -36,7 +36,7 @@
 RdMacros: Rdpack
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2025-04-03 22:01:12 UTC; kevin
+Packaged: 2025-11-13 13:52:28 UTC; kevin
 Author: Yves Croissant [aut],
   Giovanni Millo [aut],
   Kevin Tappe [aut, cre],
@@ -48,4 +48,4 @@
   Nina Schoenfelder [ctb]
 Maintainer: Kevin Tappe <kevin.tappe@bwi.uni-stuttgart.de>
 Repository: CRAN
-Date/Publication: 2025-04-04 15:00:02 UTC
+Date/Publication: 2025-11-13 18:00:01 UTC

## plm 2.8.1

=== debian/changelog ===
plm (2.8.1-1) unstable; urgency=medium

  * New upstream release: More glitches fixed, in particular in Python.

 -- Martin Quinson <mquinson@debian.org>  Mon, 01 Jun 2020 20:25:09 +0200

plm (2.8-1) unstable; urgency=medium

  * New upstream release: fix many glitches.
  * No need to repack anymore now that upstream distributes a src
    jarfile with no cruft inside.
  * d/control: bump standards-version to 4.5.0
    (Debian's Janitor did all needed changes already, no more change)

 -- Martin Quinson <mquinson@debian.org>  Sun, 24 May 2020 01:10:51 +0200

plm (2.6+repack-4) unstable; urgency=medium

  [ Gilles Filippini ]
  * Build against json-simple 2 or 3, depending on what's available.
    (Closes: #960632).

  [ Martin Quinson ]
  * Java 7 was hardcoded in the launcher script :(
  * d/changelog: Trim trailing whitespace.
  * d/control: Point vcs-git to salsa, and update upstream homepage.
  * d/control: Add Vcs-Browser field
  * d/control: Bump debhelper from deprecated 8 to 12.
  * d/control: Change priority extra to priority optional.
  * d/copyright: Fix case (Upstream-name => Upstream-Name).
  * d/rule: no need for --with=quilt, with '3.0 (quilt)' source format.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Martin Quinson <mquinson@debian.org>  Mon, 18 May 2020 08:33:40 +0200

## plm 2.9.2

=== debian/changelog ===
plm (2.9.2-1) unstable; urgency=medium

  * New upstream release: The Portuguese release (new complete translation)
    - Core:
      - Introduce a new Portuguese translation, thanks ssantos.
      - Introduce a new Swedish translation, thanks Kristoffer Grundström.
    - Pedagogical content:
      - recursion/lego/spiral:
        - clarify in text how the learner's code is called automatically

 -- Martin Quinson <mquinson@debian.org>  Sun, 11 Oct 2020 21:54:58 +0200

plm (2.9-1) unstable; urgency=medium

  * New upstream release.
    - Fix a bug that prevented the PLM from saving the user code on disk.
    - Some small improvements to the pedagogical content.
    - New (partial) Ukrainian translation, thanks Yuri Chornoivan.
  * d/p/no-javafx: Remove some code that sneaked in upstream by accident.
  * Don't load the asm3 jarfile on startup, as it does not exist anymore.

 -- Martin Quinson <mquinson@debian.org>  Sun, 20 Sep 2020 22:02:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,30 @@
 Source: plm
 Section: java
-Priority: extra
+Priority: optional
 Maintainer: Martin Quinson <mquinson@debian.org>
-Build-Depends: debhelper (>> 8), javahelper (>= 0.32), ant, quilt
+Build-Depends: debhelper-compat (= 12), javahelper (>= 0.32), ant, quilt
 Build-Depends-Indep: default-jdk, scala, libmiglayout-java, librsyntaxtextarea-java,
   junit4, libgettext-commons-java, libjson-simple-java, libhttpclient-java, libhttpmime-java, libjgit-java,
   jython, libgettext-ant-tasks-java, imagemagick,
   libmockito-java
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-java/plm.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/plm.git
-Homepage: http://www.loria.fr/~quinson/Teaching/PLM/
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/java-team/plm.git
+Homepage: http://people.irisa.fr/Martin.Quinson/Teaching/PLM/
+Vcs-Browser: https://salsa.debian.org/java-team/plm
 
 Package: plm
 Architecture: all
 Depends: java-wrappers, ${java:Depends}, ${misc:Depends}, libhttpmime-java,
-  default-jdk, jruby, jython, 
+  default-jdk, jruby, jython,
 Recommends: ${java:Recommends}
 Description: Programming exerciser in Java, Python, Scala and others
  The Programmer's Learning Machine (PLM) is a free cross-platform programming
- exerciser. It lets you explore various concepts of programming through 
- over 200 interactive exercises, that you can solve in either Java, 
+ exerciser. It lets you explore various concepts of programming through
+ over 200 interactive exercises, that you can solve in either Java,
  Python or Scala.
  .
  The PLM interface and content is thoughtfully translated to English,
- French and Brazilian; Other translations may be added in the future. 
+ French and Brazilian; Other translations may be added in the future.
  .
  The following concepts are included in this package:
  .

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,31 @@
 httppath=/usr/share/java/httpclient.jar:/usr/share/java/httpcore.jar:/usr/share/java/commons-logging.jar:/usr/share/java/httpmime.jar
 export CLASSPATH=$(depspath):$(gitpath):$(langpath):$(httppath):$(scalapath):.
 
+JSON_SIMPLE_VERSION = $(shell dpkg -l libjson-simple-java | grep '^ii' | awk '{print $$3}')
+JSON_SIMPLE_3 = $(shell dpkg --compare-versions '$(JSON_SIMPLE_VERSION)' '>' '3.1.1-1~' && echo yes || echo no)
+ifeq (yes,$(JSON_SIMPLE_3))
+JSON_SIMPLE_PACKAGE = com.github.cliftonlabs.json_simple
+JSON_EXCEPTION = JsonException
+else
+JSON_SIMPLE_PACKAGE = org.json.simple
+JSON_EXCEPTION = DeserializationException
+endif
+
 %:
-	dh  $@  --with javahelper --with quilt
+	dh $@   --with javahelper
+
+override_dh_auto_clean:
+	dh_auto_clean
+	find . -type f -name \*.java.json-simple \
+	  -exec sh -c 'file={} && mv $$file $${file%.json-simple}' \; -print
+
+override_dh_auto_build:
+	find . -type f -name \*.java -exec grep -q 'import @JSON_SIMPLE_PACKAGE@' {} \; \
+	  -exec sed -i.json-simple \
+		    -e 's,@JSON_SIMPLE_PACKAGE@,$(JSON_SIMPLE_PACKAGE),' \
+		    -e 's/@JSON_EXCEPTION@/$(JSON_EXCEPTION)/' \
+		    {} \; -print
+	dh_auto_build
 
 override_dh_auto_install:
 	dh_install
@@ -35,7 +58,7 @@
 	# desktop
 	install -D -m 644 debian/plm.desktop $(DESTDIR)/usr/share/applications/plm.desktop
 		
-	# wrapper script 
+	# wrapper script
 	install -d -m 755 $(DESTDIR)/usr/bin
 	cp debian/plm.sh $(DESTDIR)/usr/bin/plm
 	chmod 755 $(DESTDIR)/usr/bin/plm
@@ -43,15 +66,3 @@
 version=$(shell uscan --report-status | head -2 | tail -1 | cut -d' ' -f7 | cut -d, -f1)
 tmpdir:=$(shell mktemp -d)
 wrkdir:=$(shell pwd)
-
-get-orig-source:
-	rm -f ${wrkdir}/../plm_${version}+repack.orig.tar.gz
-	rm -f ${wrkdir}/../plm_${version}.orig.tar.gz 
-	uscan --verbose --force-download && cp ../${version}.tar.gz ${tmpdir} || true
-	set +ex; cd ${tmpdir} && \
-	    tar xf ${version}.tar.gz && rm -f ${version}.tar.gz && \
-	    cd PLM-${version} && find lib -name '*.jar' | xargs rm && \
-	    tar cf ${wrkdir}/../plm_${version}+repack.orig.tar * ; \
-	    gzip --best ${wrkdir}/../plm_${version}+repack.orig.tar
-	rm -rf ${tmpdir}
-	@echo "successfully created new tarball: ${wrkdir}/../plm_${version}+repack.orig.tar.gz"
